require_relative '../../test_helper'

describe Nanopop::Picture do

  before do
    Nanopop.configure do |config|
      config.token = '1234'
    end
    RestClient.stubs(:get).returns(File.read("test/fixtures/test.xml"))
  end

  describe ".latest" do
    subject do
      Nanopop::Picture.latest(10)
    end

    it "should return 10 items" do
      subject.size.must_equal 10
    end
  end

  describe ".new" do
    subject do
      Nanopop::Picture.latest(10).last
    end

    it "should have id" do
      subject.id.must_equal "9716"
    end

    it "should have url" do
      subject.url.must_equal "https://nanopopapi.blob.core.windows.net/tasks/0000028/130719_ZO1DY.jpg"
    end

    it "should have user_name" do
      subject.user_name.must_equal "Felipe Ouro Preto"
    end

    it "should have avatar_url" do
      subject.avatar_url.must_equal "https://nanopopapi.blob.core.windows.net/users/0000001/370086_711253843_1025899297_q.jpg"
    end

    it "should have task_hashtag" do
      subject.task_hashtag.must_equal "#jmj"
    end
  end
end
